Custody providers
Get Coinbase Prime Integration Status
Returns the org's Coinbase Prime integration configuration status from the database.
GEThttps://api.toku.com/stablecoin-payroll/get-coinbase-prime-integration-status
Required scope: integrations:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-coinbase-prime-integration-status' \
--header 'Authorization: Bearer <token>'200 response
{
"hasIntegration": true,
"integrationInProgress": true,
"isConfigured": true,
"entityID": "string",
"portfolioID": "string",
"walletID": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
hasIntegrationbooleanrequiredintegrationInProgressbooleanrequiredisConfiguredbooleanentityIDstringportfolioIDstringwalletIDstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits